<!--
{
  "documentType" : "article",
  "framework" : "AppStoreConnectAPI",
  "identifier" : "/documentation/AppStoreConnectAPI/app-infos",
  "metadataVersion" : "0.1.0",
  "role" : "collectionGroup",
  "title" : "App Infos"
}
-->

# App Infos

Manage or read the app metadata that applies across all versions of your app.

## Discussion

`appInfos` represents your app’s metadata that applies across all versions of your app. You can update your app’s App Store category, subcategory, and secondary category through the `appInfos` resource. You can also find your app’s status, which tells you if the app metadata is editable. For more information, see [App and submission statuses](https://developer.apple.com/help/app-store-connect/reference/app-and-submission-statuses).

Other attributes in `appInfos` are read-only. Their values are derived from other resources. For example, your app’s `appStoreAgeRating` value results from the answers you provide to the questions in `ageRatingDeclarations`.

For more information about the metadata in the `appInfos` resource, see [App and submission statuses](https://developer.apple.com/help/app-store-connect/reference/app-and-submission-statuses).

## Topics

### Reading App Information

[`GET /v1/appInfos/{id}`](/documentation/AppStoreConnectAPI/GET-v1-appInfos-_id_)

Read App Store information including your App Store state, age ratings, Brazil age rating, and kids’ age band.

[`GET /v1/apps/{id}/appInfos`](/documentation/AppStoreConnectAPI/GET-v1-apps-_id_-appInfos)

Get information about an app that is currently live on App Store, or that goes live with the next version.

[`GET /v1/appInfos/{id}/appInfoLocalizations`](/documentation/AppStoreConnectAPI/GET-v1-appInfos-_id_-appInfoLocalizations)

Get a list of localized, app-level information for an app.

### Modifying App Information

[`PATCH /v1/appInfos/{id}`](/documentation/AppStoreConnectAPI/PATCH-v1-appInfos-_id_)

Update the App Store categories and sub-categories for your app.

### Reading Category Information

[App Categories and Subcategories](/documentation/AppStoreConnectAPI/app-categories-and-subcategories)

Read the category and subcategory information of an App Info.

### Reading Localization Information

[`GET /v1/appInfos/{id}/appInfoLocalizations`](/documentation/AppStoreConnectAPI/GET-v1-appInfos-_id_-appInfoLocalizations)

Get a list of localized, app-level information for an app.

[`GET /v1/appInfos/{id}/relationships/appInfoLocalizations`](/documentation/AppStoreConnectAPI/GET-v1-appInfos-_id_-relationships-appInfoLocalizations)

### Reading Age Rating Information

[`GET /v1/appInfos/{id}/ageRatingDeclaration`](/documentation/AppStoreConnectAPI/GET-v1-appInfos-_id_-ageRatingDeclaration)

Get the age-rating declaration for an app info.

[`GET /v1/appInfos/{id}/relationships/ageRatingDeclaration`](/documentation/AppStoreConnectAPI/GET-v1-appInfos-_id_-relationships-ageRatingDeclaration)

### Objects

[`AppInfo`](/documentation/AppStoreConnectAPI/AppInfo)

The data structure that represent an App Infos resource.

[`AppInfoResponse`](/documentation/AppStoreConnectAPI/AppInfoResponse)

The response body for endpoints that read or modify an app’s App Store information.

[`AppInfosResponse`](/documentation/AppStoreConnectAPI/AppInfosResponse)

The response body for endpoints that list an app’s App Store information entries.

[`AppInfoUpdateRequest`](/documentation/AppStoreConnectAPI/AppInfoUpdateRequest)

The request body you use to update an App Info.

[`AppInfoAppInfoLocalizationsLinkagesResponse`](/documentation/AppStoreConnectAPI/AppInfoAppInfoLocalizationsLinkagesResponse)

[`AppInfoPrimaryCategoryLinkageResponse`](/documentation/AppStoreConnectAPI/AppInfoPrimaryCategoryLinkageResponse)

[`AppInfoPrimarySubcategoryOneLinkageResponse`](/documentation/AppStoreConnectAPI/AppInfoPrimarySubcategoryOneLinkageResponse)

[`AppInfoPrimarySubcategoryTwoLinkageResponse`](/documentation/AppStoreConnectAPI/AppInfoPrimarySubcategoryTwoLinkageResponse)

[`AppInfoSecondaryCategoryLinkageResponse`](/documentation/AppStoreConnectAPI/AppInfoSecondaryCategoryLinkageResponse)

[`AppInfoSecondarySubcategoryOneLinkageResponse`](/documentation/AppStoreConnectAPI/AppInfoSecondarySubcategoryOneLinkageResponse)

[`AppInfoSecondarySubcategoryTwoLinkageResponse`](/documentation/AppStoreConnectAPI/AppInfoSecondarySubcategoryTwoLinkageResponse)



---

Copyright &copy; 2026 Apple Inc. All rights reserved. | [Terms of Use](https://www.apple.com/legal/internet-services/terms/site.html) | [Privacy Policy](https://www.apple.com/privacy/privacy-policy)